Bug 1541613 - mame-0.194 fails to build on ppc64 and ppc64le due to long double issues
Summary: mame-0.194 fails to build on ppc64 and ppc64le due to long double issues
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mame
Version: 32
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1649936
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-02-03 10:35 UTC by Julian Sikorski
Modified: 2020-02-11 15:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github mamedev mame issues 3157 None None None 2018-02-03 10:38:22 UTC

Description Julian Sikorski 2018-02-03 10:35:32 UTC
Description of problem:
mame-0.194 fails to build on ppc64 and ppc64le due to issues with long double variables.

Version-Release number of selected component (if applicable):
0.194-1.fc28

How reproducible:
always

Steps to Reproduce:
1. fedpkg clone mame
2. remove ExcludeArch ppc64 ppc64le from the spec file
3. attempt to build

Actual results:
build fails with the following error:

In file included from ../../../../../src/emu/emu.h:31:0:
../../../../../src/mame/drivers/fp200.cpp:28:36:   in constexpr expansion of 'operator""_MHz_XTAL(6.14399999999999999999999999999999e+0l)'
../../../../../src/emu/xtal.h:85:83: error: '(6.14399999999999999999999999999999e+0l * 1.0e+6l)' is not a constant expression
 constexpr XTAL operator ""_MHz_XTAL(long double clock) { return XTAL(double(clock * 1e6)); }
                                                                             ~~~~~~^~~~~
make[2]: *** [casio.make:362: ../../../../linux_gcc/obj/x64/Release/src/mame/drivers/fp200.o] Error 1
make[1]: *** [Makefile:463: casio] Error 2

Expected results:
build completes successfully

Comment 2 Fedora End Of Life 2018-02-20 15:38:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 20:05:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-08-13 17:10:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:24:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Julian Sikorski 2019-08-13 19:27:36 UTC
It does not look like the new double format is going to make it into F31. Changing back to rawhide.

Comment 7 Ben Cotton 2020-02-11 15:49:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.